import IODevice

#####  Config  #####

# IODDVersion (auto / 1.0.1 / 1.1) #
ioddVersion = "1.1"

# DocumentVersion #
version = "1.0"

# DeviceID #
deviceID = "330528"

# ProductID #
productID = "BNI0091"

# DeviceName #
deviceName = "BNI IOL-302-S02-R026"

# DeviceFamily #
deviceFamily = "BNI - Sensor/Actor hub M12 digital "

# DeviceDescription #
deviceDescription = "Sensor/Actor hub M12"

# DeviceIcon #
deviceIcon = "Balluff-BNI_IOL-302-XXX-R026-icon.png"

# DeviceSymbol #
deviceSymbol = "Balluff-BNI_IOL-302-XXX-R026-pic.png"

# Events #
events = ["20753", "20754", "30480"]

# minCycleTime #
minCycleTime = "6000"

# Include ExtensionPortIODDs (True/False) #
extensionPortInclude = True

# ExtensionPortDeviceIDs #
extensionPortDeviceIDs = ["330529", "330530", "330531", "330532"]

# ExtensionPortDeviceNames #
extensionPortDeviceNames = [deviceName, "BNI IOL-751-V08-K007", "BNI IOL-751-V10-K007", "BNI IOL-751-V13-K007"]

# ExtensionPortIODDS set index 0 = "" to automatically use itself #
extensionPortIODDs = ["", "ExtensionPortIODDS\\Balluff-BNI_IOL-751-V08-K007-20150130-IODD1.1.xml", "ExtensionPortIODDS\\Balluff-BNI_IOL-751-V10-K007-20150130-IODD1.1.xml", "ExtensionPortIODDS\\Balluff-BNI_IOL-751-V13-K007-20150130-IODD1.1.xml"]

# ExtensionPortPictures #
extensionPortPictures = ["Balluff-BNI_IOL-302-XXX-R026_with_same-pic.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-pic.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-pic.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-pic.png"]

# ExtensionPortIcons #
extensionPortIcons = ["Balluff-BNI_IOL-302-XXX-R026-with_same-icon.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-icon.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-icon.png", "Balluff-BNI_IOL-302-XXX-R026_with_valve-icon.png"]

extensionPortMinCycleTime = ["8400","7200","7200","7200" ]

def main():
    device = IODevice.IODevice()
    device.createIODDs(ioddVersion, version, deviceID, productID, deviceName, deviceFamily, deviceDescription, deviceIcon, deviceSymbol, events, minCycleTime, extensionPortDeviceNames, extensionPortDeviceIDs, extensionPortIODDs, extensionPortIcons, extensionPortPictures, extensionPortInclude, extensionPortMinCycleTime)

if __name__ == '__main__':
    main()
